package com.tsi.api.server.mybatis;

import com.tsi.api.server.dto.SystemStatusDto;
import com.tsi.api.server.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TscSsipApiMapper {

    AuthorizedVo getApiAuthorizedInfo(@Param("apiId") String apiId, @Param("apiToken") String apiToken);
    KafkaAuthorizedVo getApiKafkaAuthorizedInfo(@Param("apiToken") String apiToken);

    List<NodeVo> getNodeInfoList();
    BrokerVo getBrokerInfo(@Param("apiToken") String apiToken);
    int insertInvokeHs(ApiInvokeVo voInvoke);
    int insertSystemInfo(@Param("info") SystemStatusDto info);
    int insertSystemStatusHs(@Param("info") SystemStatusVo info);
}
